Package com.ocient.cli.extract

# Class ExtractMetrics

java.lang.Object
com.ocient.cli.extract.ExtractMetrics

public class ExtractMetrics extends Object

## Constructor Summary

Constructors
Constructor
Description
`ExtractMetrics(String queryId, ExtractConfiguration.LocationType locationType, PerfCounter.ThreadingModel threadingModel)`

## Method Summary

Modifier and Type
Method
Description
`Number`
`getCompressedBytesWritten()`
`Number`
`getUncompressedBytesWritten()`
`void`
`removeAll()`
`OutputStream`
`wrapCompressedStream(OutputStream delegate)`
`OutputStream`
`wrapUncompressedStream(OutputStream delegate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtractMetrics

public ExtractMetrics(String queryId, ExtractConfiguration.LocationType locationType, PerfCounter.ThreadingModel threadingModel)

## Method Details

### removeAll

public void removeAll()

### wrapCompressedStream

public OutputStream wrapCompressedStream(OutputStream delegate)

### wrapUncompressedStream

public OutputStream wrapUncompressedStream(OutputStream delegate)

### getCompressedBytesWritten

public Number getCompressedBytesWritten()

### getUncompressedBytesWritten

public Number getUncompressedBytesWritten()